Skip to content

Product Publishing Dates v3

CRUD operations for product publishing dates.


Endpoints


GET /resource/v3/products/{product_id}/publishing_dates

Retrieve publishing dates for a product

Input parameters

Parameter In Type Default Nullable Description
product_id path string No

Responses

{
    "_links": {},
    "_pagination": {},
    "items": [
        {
            "_id": 3442,
            "_uuid": "8b1f9a72-1c34-4c9d-a9f2-d2c7b2d5a001",
            "_version": "4.0",
            "_links": {},
            "product_type": "audiobook",
            "publishing_date_role_code": "02",
            "channels": [
                "itunes",
                "spotify"
            ],
            "publishing_date": "2026-04-15",
            "created": 1773054157
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_links": {
            "type": "object"
        },
        "_pagination": {
            "type": "object"
        },
        "items": {
            "type": "array",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                    "_id": {
                        "type": "integer",
                        "description": "Unique identifier for the product publishing date (legacy integer ID)",
                        "example": 3442
                    },
                    "_uuid": {
                        "type": "string",
                        "description": "UUID identifier for the product publishing date resource.",
                        "example": "8b1f9a72-1c34-4c9d-a9f2-d2c7b2d5a001"
                    },
                    "_version": {
                        "type": "string",
                        "description": "API version of the returned resource.",
                        "example": "4.0"
                    },
                    "_links": {
                        "type": "object",
                        "description": "HAL-style hyperlinks."
                    },
                    "product_type": {
                        "type": "string",
                        "description": "Type of product. Usually audiobook, ebook, book, etc.",
                        "example": "audiobook"
                    },
                    "publishing_date_role_code": {
                        "type": "string",
                        "description": "ONIX Publishing Date Role Code (Codelist 163). Indicates the type of date: https://ns.editeur.org/onix/en/163\n",
                        "example": "02"
                    },
                    "channels": {
                        "type": "array",
                        "description": "List of distribution channels where this date applies.",
                        "nullable": true,
                        "items": {
                            "type": "string"
                        },
                        "example": [
                            "itunes",
                            "spotify"
                        ]
                    },
                    "publishing_date": {
                        "type": "string",
                        "format": "date",
                        "nullable": false,
                        "description": "The publishing date value associated with the publishing role code.",
                        "example": "2026-04-15"
                    },
                    "created": {
                        "type": "integer",
                        "description": "Unix timestamp when date resource was created.",
                        "nullable": true,
                        "example": 1773054157
                    }
                },
                "required": []
            }
        }
    },
    "required": [
        "_links",
        "_pagination",
        "items"
    ]
}

POST /resource/v3/products/{product_id}/publishing_dates

Create a date

Input parameters

Parameter In Type Default Nullable Description
product_id path string No

Request body

{
    "_id": 3442,
    "_uuid": "8b1f9a72-1c34-4c9d-a9f2-d2c7b2d5a001",
    "_version": "4.0",
    "_links": {},
    "product_type": "audiobook",
    "publishing_date_role_code": "02",
    "channels": [
        "itunes",
        "spotify"
    ],
    "publishing_date": "2026-04-15",
    "created": 1773054157
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "integer",
            "description": "Unique identifier for the product publishing date (legacy integer ID)",
            "example": 3442
        },
        "_uuid": {
            "type": "string",
            "description": "UUID identifier for the product publishing date resource.",
            "example": "8b1f9a72-1c34-4c9d-a9f2-d2c7b2d5a001"
        },
        "_version": {
            "type": "string",
            "description": "API version of the returned resource.",
            "example": "4.0"
        },
        "_links": {
            "type": "object",
            "description": "HAL-style hyperlinks."
        },
        "product_type": {
            "type": "string",
            "description": "Type of product. Usually audiobook, ebook, book, etc.",
            "example": "audiobook"
        },
        "publishing_date_role_code": {
            "type": "string",
            "description": "ONIX Publishing Date Role Code (Codelist 163). Indicates the type of date: https://ns.editeur.org/onix/en/163\n",
            "example": "02"
        },
        "channels": {
            "type": "array",
            "description": "List of distribution channels where this date applies.",
            "nullable": true,
            "items": {
                "type": "string"
            },
            "example": [
                "itunes",
                "spotify"
            ]
        },
        "publishing_date": {
            "type": "string",
            "format": "date",
            "nullable": false,
            "description": "The publishing date value associated with the publishing role code.",
            "example": "2026-04-15"
        },
        "created": {
            "type": "integer",
            "description": "Unix timestamp when date resource was created.",
            "nullable": true,
            "example": 1773054157
        }
    },
    "required": []
}

Responses

{
    "_id": 3442,
    "_uuid": "8b1f9a72-1c34-4c9d-a9f2-d2c7b2d5a001",
    "_version": "4.0",
    "_links": {},
    "product_type": "audiobook",
    "publishing_date_role_code": "02",
    "channels": [
        "itunes",
        "spotify"
    ],
    "publishing_date": "2026-04-15",
    "created": 1773054157
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "integer",
            "description": "Unique identifier for the product publishing date (legacy integer ID)",
            "example": 3442
        },
        "_uuid": {
            "type": "string",
            "description": "UUID identifier for the product publishing date resource.",
            "example": "8b1f9a72-1c34-4c9d-a9f2-d2c7b2d5a001"
        },
        "_version": {
            "type": "string",
            "description": "API version of the returned resource.",
            "example": "4.0"
        },
        "_links": {
            "type": "object",
            "description": "HAL-style hyperlinks."
        },
        "product_type": {
            "type": "string",
            "description": "Type of product. Usually audiobook, ebook, book, etc.",
            "example": "audiobook"
        },
        "publishing_date_role_code": {
            "type": "string",
            "description": "ONIX Publishing Date Role Code (Codelist 163). Indicates the type of date: https://ns.editeur.org/onix/en/163\n",
            "example": "02"
        },
        "channels": {
            "type": "array",
            "description": "List of distribution channels where this date applies.",
            "nullable": true,
            "items": {
                "type": "string"
            },
            "example": [
                "itunes",
                "spotify"
            ]
        },
        "publishing_date": {
            "type": "string",
            "format": "date",
            "nullable": false,
            "description": "The publishing date value associated with the publishing role code.",
            "example": "2026-04-15"
        },
        "created": {
            "type": "integer",
            "description": "Unix timestamp when date resource was created.",
            "nullable": true,
            "example": 1773054157
        }
    },
    "required": []
}

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}

GET /resource/v3/products/{product_id}/publishing_dates/{id}

Get one

Input parameters

Parameter In Type Default Nullable Description
id path string No
product_id path string No

Responses

{
    "_id": 3442,
    "_uuid": "8b1f9a72-1c34-4c9d-a9f2-d2c7b2d5a001",
    "_version": "4.0",
    "_links": {},
    "product_type": "audiobook",
    "publishing_date_role_code": "02",
    "channels": [
        "itunes",
        "spotify"
    ],
    "publishing_date": "2026-04-15",
    "created": 1773054157
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "integer",
            "description": "Unique identifier for the product publishing date (legacy integer ID)",
            "example": 3442
        },
        "_uuid": {
            "type": "string",
            "description": "UUID identifier for the product publishing date resource.",
            "example": "8b1f9a72-1c34-4c9d-a9f2-d2c7b2d5a001"
        },
        "_version": {
            "type": "string",
            "description": "API version of the returned resource.",
            "example": "4.0"
        },
        "_links": {
            "type": "object",
            "description": "HAL-style hyperlinks."
        },
        "product_type": {
            "type": "string",
            "description": "Type of product. Usually audiobook, ebook, book, etc.",
            "example": "audiobook"
        },
        "publishing_date_role_code": {
            "type": "string",
            "description": "ONIX Publishing Date Role Code (Codelist 163). Indicates the type of date: https://ns.editeur.org/onix/en/163\n",
            "example": "02"
        },
        "channels": {
            "type": "array",
            "description": "List of distribution channels where this date applies.",
            "nullable": true,
            "items": {
                "type": "string"
            },
            "example": [
                "itunes",
                "spotify"
            ]
        },
        "publishing_date": {
            "type": "string",
            "format": "date",
            "nullable": false,
            "description": "The publishing date value associated with the publishing role code.",
            "example": "2026-04-15"
        },
        "created": {
            "type": "integer",
            "description": "Unix timestamp when date resource was created.",
            "nullable": true,
            "example": 1773054157
        }
    },
    "required": []
}

PUT /resource/v3/products/{product_id}/publishing_dates/{id}

Update

Input parameters

Parameter In Type Default Nullable Description
id path string No
product_id path string No

Request body

{
    "_id": 3442,
    "_uuid": "8b1f9a72-1c34-4c9d-a9f2-d2c7b2d5a001",
    "_version": "4.0",
    "_links": {},
    "product_type": "audiobook",
    "publishing_date_role_code": "02",
    "channels": [
        "itunes",
        "spotify"
    ],
    "publishing_date": "2026-04-15",
    "created": 1773054157
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "integer",
            "description": "Unique identifier for the product publishing date (legacy integer ID)",
            "example": 3442
        },
        "_uuid": {
            "type": "string",
            "description": "UUID identifier for the product publishing date resource.",
            "example": "8b1f9a72-1c34-4c9d-a9f2-d2c7b2d5a001"
        },
        "_version": {
            "type": "string",
            "description": "API version of the returned resource.",
            "example": "4.0"
        },
        "_links": {
            "type": "object",
            "description": "HAL-style hyperlinks."
        },
        "product_type": {
            "type": "string",
            "description": "Type of product. Usually audiobook, ebook, book, etc.",
            "example": "audiobook"
        },
        "publishing_date_role_code": {
            "type": "string",
            "description": "ONIX Publishing Date Role Code (Codelist 163). Indicates the type of date: https://ns.editeur.org/onix/en/163\n",
            "example": "02"
        },
        "channels": {
            "type": "array",
            "description": "List of distribution channels where this date applies.",
            "nullable": true,
            "items": {
                "type": "string"
            },
            "example": [
                "itunes",
                "spotify"
            ]
        },
        "publishing_date": {
            "type": "string",
            "format": "date",
            "nullable": false,
            "description": "The publishing date value associated with the publishing role code.",
            "example": "2026-04-15"
        },
        "created": {
            "type": "integer",
            "description": "Unix timestamp when date resource was created.",
            "nullable": true,
            "example": 1773054157
        }
    },
    "required": []
}

Responses

{
    "_id": 3442,
    "_uuid": "8b1f9a72-1c34-4c9d-a9f2-d2c7b2d5a001",
    "_version": "4.0",
    "_links": {},
    "product_type": "audiobook",
    "publishing_date_role_code": "02",
    "channels": [
        "itunes",
        "spotify"
    ],
    "publishing_date": "2026-04-15",
    "created": 1773054157
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "integer",
            "description": "Unique identifier for the product publishing date (legacy integer ID)",
            "example": 3442
        },
        "_uuid": {
            "type": "string",
            "description": "UUID identifier for the product publishing date resource.",
            "example": "8b1f9a72-1c34-4c9d-a9f2-d2c7b2d5a001"
        },
        "_version": {
            "type": "string",
            "description": "API version of the returned resource.",
            "example": "4.0"
        },
        "_links": {
            "type": "object",
            "description": "HAL-style hyperlinks."
        },
        "product_type": {
            "type": "string",
            "description": "Type of product. Usually audiobook, ebook, book, etc.",
            "example": "audiobook"
        },
        "publishing_date_role_code": {
            "type": "string",
            "description": "ONIX Publishing Date Role Code (Codelist 163). Indicates the type of date: https://ns.editeur.org/onix/en/163\n",
            "example": "02"
        },
        "channels": {
            "type": "array",
            "description": "List of distribution channels where this date applies.",
            "nullable": true,
            "items": {
                "type": "string"
            },
            "example": [
                "itunes",
                "spotify"
            ]
        },
        "publishing_date": {
            "type": "string",
            "format": "date",
            "nullable": false,
            "description": "The publishing date value associated with the publishing role code.",
            "example": "2026-04-15"
        },
        "created": {
            "type": "integer",
            "description": "Unix timestamp when date resource was created.",
            "nullable": true,
            "example": 1773054157
        }
    },
    "required": []
}

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}

DELETE /resource/v3/products/{product_id}/publishing_dates/{id}

Delete

Input parameters

Parameter In Type Default Nullable Description
id path string No
product_id path string No

Responses

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}

Schemas

ProductDate

Name Type Description
_id integer

Unique identifier for the product publishing date (legacy integer ID)

Example: 3442

Unique identifier for the product publishing date (legacy integer ID)
_links

HAL-style hyperlinks.

HAL-style hyperlinks.
_uuid string

UUID identifier for the product publishing date resource.

Example: 8b1f9a72-1c34-4c9d-a9f2-d2c7b2d5a001

UUID identifier for the product publishing date resource.
_version string

API version of the returned resource.

Example: 4.0

API version of the returned resource.
channels Array<string> List of distribution channels where this date applies.
created integer| null

Unix timestamp when date resource was created.

Example: 1773054157

Unix timestamp when date resource was created.
product_type string

Type of product. Usually audiobook, ebook, book, etc.

Example: audiobook

Type of product. Usually audiobook, ebook, book, etc.
publishing_date string(date)

The publishing date value associated with the publishing role code.

Example: 2026-04-15

The publishing date value associated with the publishing role code.
publishing_date_role_code string

ONIX Publishing Date Role Code (Codelist 163). Indicates the type of date: https://ns.editeur.org/onix/en/163

Example: 02

ONIX Publishing Date Role Code (Codelist 163). Indicates the type of date: https://ns.editeur.org/onix/en/163